3
Thank you for your review
Free
http://www.macupdate.com/download/25565/communicatorpluginformac_420.dmg
Email me when discounted: 
Garmin Communicator Plugin lets you connect your Garmin GPS with your favorite website. Once the plugin is installed, just connect your Garmin GPS device to your computer, and you're on your way. The Garmin Communicator can send and retrieve data from any supported website.

What's New

Version 4.2:
  • Added support for new aviation database format

Requirements

  • OS X 10.6 or later
  • Safari 2 or later, Firefox 2 or later, or Chrome

Similar Software

Open Comparison
Suggest Other Similar Software
Leave a Review

Garmin Communicator Plugin User Discussion

Nobody has reviewed or commented on this app yet. Add your own comment and get a discussion going!
Sort by: Time | Smiles
Harv Member IconReview+340
Harv
+0

'Twas all my fault…

In case others are having the problem I thought I had, you might find my solution of benefit.

The reason the Plugin did not work is that I had "ClickToPlugin v2.6" installed and had not modified the setting/preference to allow the Communicator to load.

Indeed, the problem was not the software or Garmin's tech support, but rather, Operator Error.

And of course, my most sincere apologies to Garmin.

Reply0 replies
Version 4.0.1
Harv Member IconReview+340
Harv
+0

When I installed the 4.0.1 Plugin, It concluded with an alert that the Plugin was installed successfully.

But when I went to the Garmin.comDashboard page, I always got “Plugin Not Installed Exception”.

Many emails later and 2 hours of live/phone Garmin Tech Support did not resolve the issue and ended with the recommendation that I wait for the next version.

I like the GPS, but the SW & Tech Support are, IMNHO, unacceptable.

I cannot but conclude, that the Garmin SW Development Team and their tech support is Mac Challenged in the extreme.

Reply0 replies
Version 4.0.1
K.booth Member IconComment+7
K.booth
+0

Upon installation and restart of Firefox 9.0.1 (NoScript, Flashblock) Mac OS 10.7.2 (lion) (w/Little Snitch running), Firefox displayed this:
"This page asks to use a plugin that can only be run in 32-bit mode"

It doesn't appear that the latest plugin is compatible with my configuration (or, I've so severely constrained its ability to operate that is does not).

Reply0 replies
Version 4.0.1
Ted Burger Member IconReview+5
Ted Burger
+1

Version 3.0.1 is 32 bit only. Requires that Firefox by running in 32 bit mode in order for it to work.

Reply0 replies
Version 3.0.1
Just Fred Member IconComment+24
Just Fred
+0

I subscribe to the (free) RunningAhead web site. One of its features is the ability to upload Garmin data from my Forerunner 205. In order to do so, the Communicator Plug-in has to be installed on my computer. Works like a charm!

Reply0 replies
Version 2.9.3
ColemanH Member IconComment+69
ColemanH
+1

I've never downloaded this thing, yet I communicate with a number of websites using my Forerunner 305. Can't really see the point, therefore. Any comments would be appreciated.

Reply1 reply
Version 2.9.3
Jpwgibson
+0

Someone gave a thumbs down because this user didn't see the point of the plugin? That's pretty darn special.

Randyharris Member IconComment+21
Randyharris
+0

Excellent!

I don't know if it was the new Safari 4.0.4 or the new build of Communicator - but this is the first time that this plugin has ever worked for me in Safari.

:)

Reply0 replies
Version 2.9.1
Jdrwiebe Member IconReview+7
Jdrwiebe
+0

Excellent. Finally works with 10.6.1 and Safari Version 4.0.3 (6531.9)

Reply0 replies
Version 2.8.3
dorkypants Member IconComment+118
dorkypants
+0

I also find that the Garmin web test page fails to detect the plugin in Safari 4.02 but succeeds in Firefox 3.5.x. Regardless, the plugin works in Safari, at least with bikeroutetoaster.com . Conclusion: Garmin's web test page lies!

Reply0 replies
Version 2.8.2
Franko Member IconComment+112
Franko
+0

Once again Safari 4.03 does not load the plug in (2.8.2) and Garmin's test page cannot detect it. Firefox 3.5.3 however loads it fine and the plug-in is detected.
Following the tip from Mikencolo: I put Flip4Mac's plugins into a temp folder (Flip4Mac WMV Plugin.plugin and Flip4Mac WMV Plugin.webplugin)
Restarted Safari and success, the plug in is detected.
Now who'll fix the problem: Telestream or Garmin? ;)

Reply0 replies
Version 2.8.2
user icon+0
Wimpiestar
Version 4.0.1
> 3 8

Ratings

Overall
(8)
Current Version (4.x)
(3)

Details

Downloads 34,694
Version Downloads 6,945
License Free
Date 30 May 2014
Platform OS X / Intel 32
Price Free
Learn how MacUpdate Desktop makes installing apps from MacUpdate.com one-click easy.
Next time, install Garmin Communicator... with 1-click

Learn how MacUpdate Desktop can install apps on MacUpdate with the simple click of the Install apps with MacUpdate Desktop icon. Plus, keep all your apps updated.